gSOAP UDDI v2: uddi2__find_USCOREtModel Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__find_USCOREtModel Class Reference

Schema urn:uddi-org:api_v2:"find_tModel". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__find_USCOREtModel:

[legend]
List of all members.

## Public Member Functions
| uddi2__find_USCOREtModel (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREtModel (struct soap *, const char *name)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREtModel (struct soap *, std::vector< uddi2__keyedReference * > keyedReferences)
| Member declared in uddi2-typemap.dat.
uddi2__tModelList * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
uddi2__findQualifiers * | findQualifiers
| Element reference "urn:uddi-org:api_v2":findQualifiers.
uddi2__name * | name
| Element reference "urn:uddi-org:api_v2":name.
uddi2__identifierBag * | identifierBag
| Element reference "urn:uddi-org:api_v2":identifierBag.
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag.
char * | generic
| Attribute generic of type xs:string.
int * | maxRows
| Attribute maxRows of type xs:int.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"find_tModel".

Represents a request to locate a list of tModel entries that match a set of specific criteria. The result of a search is a uddi2__tModelList object that contains information about registered tModel data that matches the criteria.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137716

## Constructor & Destructor Documentation

uddi2__find_USCOREtModel::uddi2__find_USCOREtModel | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the find_USCOREtModel class.

uddi2__find_USCOREtModel::uddi2__find_USCOREtModel | ( | struct soap * | soap,
|  | const char * | name
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | name | of the tModel
Creates an instance of the find_USCOREtModel class using the specified tModel name.

uddi2__find_USCOREtModel::uddi2__find_USCOREtModel | ( | struct soap * | soap,
|  | std::vector< uddi2__keyedReference * > | keyedReferences
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | keyedReferences | collection of category keys
Creates an instance of the find_USCOREtModel class using the specified category keys.

## Member Function Documentation

uddi2__tModelList * uddi2__find_USCOREtModel::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__tModelList object or NULL on error Send a request to a UDDI server to find a tModelList.

## Member Data Documentation

uddi2__categoryBag* uddi2__find_USCOREtModel::categoryBag

| Element reference "urn:uddi-org:api_v2":categoryBag. Optional element

uddi2__findQualifiers* uddi2__find_USCOREtModel::findQualifiers

| Element reference "urn:uddi-org:api_v2":findQualifiers. Optional element

char* uddi2__find_USCOREtModel::generic

| Attribute generic of type xs:string. Required attribute

uddi2__identifierBag* uddi2__find_USCOREtModel::identifierBag

| Element reference "urn:uddi-org:api_v2":identifierBag. Optional element

int* uddi2__find_USCOREtModel::maxRows

| Attribute maxRows of type xs:int. Optional attribute

uddi2__name* uddi2__find_USCOREtModel::name

| Element reference "urn:uddi-org:api_v2":name. Optional element

struct soap* uddi2__find_USCOREtModel::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h